//  Database Engine Wrapper
//  Copyright  1994-1996
//  B. W. Bush
//  All rights reserved
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// Modifyed by Yura Bidus for use with OWL NExt
// 


// Record Insertion Example


#include "owlpch.h"
#include <owlfx/link.h>
#include <owl/private/owllink.h>

_OWLFX_USING_NAMESPACE

#define DBASE_FILE "dew_test.db"

int OwlMain(int , TCHAR* [])
{
    // Start the engine.

    TDewEngine engine;

    // Open a database.

    TDewDatabase database;

    // Try to put some data in the table "DEW_TEST.DB".

    try {

        // Create a table for the table and find its record buffer.

        TDewTable table(database, DBASE_FILE);
        TDewRecord& record = table.GetCurRecord();

        // Append the data.

        table.InitRecord();
        record.SetField("Name", "Arnold");
        record.SetField("Date", TDate());
        record.SetField("Amount", 0.00);
        table.AppendRecord();

        table.InitRecord();
        record.SetField(1, "Bruce");
        record.SetField(2, TDate(31, 10, 1994));
        record.SetField(3, 5.00);
        table.AppendRecord();

        table.InitRecord();
        record.SetField(1, "Charles");
        record.SetField(2, TDate(31, 10, 1994));
        record.SetBlank(3);
        table.AppendRecord();

        table.InitRecord();
        record.SetField(1, "Charles");
        record.SetField(2, TDate(1, 11, 1994));
        record.SetField(3, -2.50);
        table.AppendRecord();

        cout << "Records successfully added." << endl;

    } catch(const TDewException& exception) {

        // Report an error appending the data.

        cerr << "Records could not be added: " << exception << endl;

    }

    return 0;
}
