//  Database Engine Wrapper
//  Copyright  1994-1996
//  B. W. Bush
//  All rights reserved
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// Modifyed by Yura Bidus for use with OWL NExt
// 

// Key Search Example


#include "owlpch.h"
#include <owlfx/link.h>
#include <owl/private/owllink.h>


_OWLFX_USING_NAMESPACE

#define DBASE_FILE "dew_test.db"

int OwlMain(int , TCHAR* [])
{
    // Start the engine.

    TDewEngine engine;

    // Open a database.

    TDewDatabase database;

   // Try to search for a key value in "DEW_TEST.DB".

    try {

        // Create a table for the table and find its record buffer.

        TDewTable table(database, DBASE_FILE);
        TDewRecord& record = table.GetCurRecord();

        // Create a record buffer for the key.
        TDewKey key(table);
        TDewRecord keyRecord(table);
        keyRecord.SetField("Name", "Bruce");
        table.ExtractKey(key, keyRecord);

        // Search for the key.

        cout << "Searching for (\"Bruce\", *, *) . . ." << endl;
        table.GetRecordForKey(key, 1);
        string name;
        TDate date;
        float amount;
        record.GetField("Name", name);
        record.GetField("Date", date);
        record.GetField("Amount", amount);
        date.SetPrintOption(TDate::Numbers);
        cout << "\t(\"" << name << "\", " << date << ", " << amount << ")" << endl;

        cout << "Search successfully completed." << endl;

    } catch(const TDewException& exception) {

        // Report a failure of the search.

        cerr << endl << "Key could not be found: " << exception << endl;

    }

    return 0;
}