//  Database Engine Wrapper
//  Copyright  1994-1996
//  B. W. Bush
//  All rights reserved
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// Modifyed by Yura Bidus for use with OWL NExt
// 

// Book Mark Example


#include "owlpch.h"
#include <owlfx/link.h>
#include <owl/private/owllink.h>


_OWLFX_USING_NAMESPACE

#define DBASE_FILE "dew_test.db"

int OwlMain(int , TCHAR* [])
{
    // Start the engine.

    TDewEngine engine;

    // Open a database.

    TDewDatabase database;

   // Try to set and retrieve a bookmark in "DEW_TEST.DB".

    try {

        // Create a table for the table and find its record buffer.

        TDewTable table(database, DBASE_FILE);
        TDewRecord& record = table.GetCurRecord();

        // Create a bookmark.

        TDewBookMark bookMark(table);

        table.Advance();
        table.Advance();

        owl_string name;
        record.GetField("FirstName", name);
        cout << "Setting book mark at \"" << name << "\"" << endl;
        table.GetBookMark(bookMark);

        // Go to the book mark.

        table.SetToBegin();
        cout << "Moving to book mark . . . \"";
        table.SetToBookMark(bookMark);
        owl_string name2;
        record.GetField("FirstName", name2);
        cout << name2 << "\"" << endl;

        cout << "Bookmark successfully found." << endl;

    } catch(const TDewException& exception) {

        // Report a failure of the search.

        cerr << endl << "Bookmark could not be found: " << exception << endl;

    }

    return 0;
}
