//  Database Engine Wrapper
//  Copyright  1994-1996
//  B. W. Bush
//  All rights reserved
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// Modifyed by Yura Bidus for use with OWL NExt
// 


// Table Deletion Example


#include "owlpch.h"
#include <owlfx/link.h>
#include <owl/private/owllink.h>


_OWLFX_USING_NAMESPACE

#define DBASE_FILE "dew_test.db"

int OwlMain(int , TCHAR* [])
{
  // Start the engine.
  TDewEngine engine;

  // Open a database.
  TDewDatabase database;

  // Try to delete the table "DEW_TEST.DB".
  try {

      // Delete the table.
      database.DeleteTable(DBASE_FILE);

      cout << "Table successfully deleted." << endl;

  } 
	catch(const TDewException& exception) {
    // Report an error deleting the table.
    cerr << "Table could not be deleted: " << exception << endl;
  }
  return 0;
}
//