//  Database Engine Wrapper
//  Copyright  1994-1996
//  B. W. Bush
//  All rights reserved
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// Modifyed by Yura Bidus for use with OWL NExt
// 


// Table Creation Example

#include "owlpch.h"
#include <owlfx/link.h>
#include <owl/private/owllink.h>

_OWLFX_USING_NAMESPACE

#define DBASE_FILE "dew_test.db"

int OwlMain(int , TCHAR* [])
{
  // Start the engine.
  TDewEngine engine;
  // Open a database.
  TDewDatabase database;
  // Try to create the table "DEW_TEST.DB".
  try {
      // Make first field ten characters long called "Name", the second field a date called "Date", and the third field a number called "Amount".
      TDewFldDesc fields[3];
      fields[0] = TDewFldDesc(1, "Name", fldZSTRING, 0, 10);
      fields[1] = TDewFldDesc(2, "Date", fldDATE);
      fields[2] = TDewFldDesc(3, "Amount", fldFLOAT);

      // Make "Name" + "Date" the primary key.
      DBIKEY keyFld;
      keyFld[0] = 1;
      keyFld[1] = 2;
      TDewIdxDesc index(keyFld, 2, NULL, 0, NULL, TRUE);

      // Make the table have three fields and one index.
      TDewCrTblDesc descriptor(DBASE_FILE, 3, fields, 1, &index);
      // Create the table.
      database.CreateTable(descriptor);
      cout << "Table \"DEW_TEST.DB\" creation succeeded." << endl;
	} 
	catch(const TDewException& x) {

      // Report an error creating the table.
      cerr << "Table \"DEW_TEST.DB\" creation failed: " << x.XWHY_STR << endl;
  }

  return 0;
}